package com.blueland.dao;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.blueland.bo.AuthEntity;


@Mapper
public interface AuthDao  extends BaseMapper<TPfAuth> {

	int findAuthByMenuIdRoleId(@Param("menuId")String menuId, @Param("roleId")String roleId);

	void deleteRole(@Param("roleId")String roleId, @Param("appId")String appId);
	
	List<AuthEntity> getListByRoleId(@Param("roleId")String roleId);

	List<AuthEntity> findList(@Param("bo") AuthEntity bo);

	Page<AuthEntity> findPage(@Param("page")Page<AuthEntity> page, @Param("bo") AuthEntity entity);

	@InterceptorIgnore(tenantLine = "true")
	void deleteAuthByAppId(@Param("appId") String appId);

	@InterceptorIgnore(tenantLine = "true")
	List<AuthEntity> findListByAppId(@Param("appId") String appId);
}
